Skip to main content
PATCH
/
input-fields
/
{inputFieldId}
Edit an input field
curl --request PATCH \
  --url https://api.qminder.com/input-fields/{inputFieldId} \
  --header 'Content-Type: application/json' \
  --header 'X-Qminder-API-Version: <x-qminder-api-version>' \
  --header 'X-Qminder-REST-API-Key: <api-key>' \
  --data '
{
  "title": "Visit reason",
  "isVisibleInWaitingDrawer": false,
  "isMandatoryBeforeServed": true
}
'

Authorizations

X-Qminder-REST-API-Key
string
header
default:yourbusinessapikey
required

Headers

X-Qminder-API-Version
enum<string>
default:2020-09-01
required

API version. Must be set to 2020-09-01.

Available options:
2020-09-01

Path Parameters

inputFieldId
string<uuid>
required

UUID of the input field to update.

Body

application/json

Input field properties to update. All fields are optional — only include fields you want to change.

title
string

Display title. Only for TEXT, SELECT, URL, DATE, and NUMERIC types.

Maximum string length: 50
visitorFacingTitle
string | null

Title shown to visitors. Set to null to clear. Only for TEXT, SELECT, DATE, and NUMERIC types.

Maximum string length: 200
isVisibleInWaitingDrawer
boolean

Shown in the waiting drawer.

isVisibleInServingDrawer
boolean

Shown in the serving drawer.

isMandatoryBeforeAdded
boolean

Must be filled before ticket is added.

isMandatoryBeforeServed
boolean

Must be filled before ticket is served.

isMandatoryInRemoteSignIn
boolean

Must be filled in remote sign-in.

showInRemoteSignIn
boolean

Show in remote sign-in. Always treated as false for URL fields.

visibleForLines
object[]

Lines this field applies to. Empty array means all lines.

multiSelect
boolean

Allow multiple selections. Only for SELECT type.

options
object[]

Select options. Only for SELECT type. Options are matched by ID — existing options are updated, new IDs are added, missing IDs are removed.

constraints
object

Numeric constraints. Only for NUMERIC type.

translations
object[]

Translations. Available for TEXT, SELECT, URL, DATE, and NUMERIC types. Replaces all existing translations.

Response

Input field updated successfully